﻿#loading-bar {
    display: none;
}

#loading-bar-spinner {
    height: 100%;
    width: 100%;
    background-color: rgba(0,0,0,0.1);
    text-align: center;
    display: table;
    z-index: 1029;
    transition: none;
}

#spinner-dot-wrapper {
    display: table-cell;
    vertical-align: middle;
}

.spinner-dot {
    width: 10px;
    height: 10px;
    background-color: #832C73;
    border-radius: 50%;
    margin: 4px;
    animation-name: spinner-dot-animation;
    display: inline-block;
    animation-duration: .6s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}

    .spinner-dot:nth-child(1) {
        animation-delay: .0s;
    }

    .spinner-dot:nth-child(2) {
        animation-delay: .1s;
    }

    .spinner-dot:nth-child(3) {
        animation-delay: .2s;
    }

@keyframes spinner-dot-animation {
    0% {
        transform: scale(1);
        opacity: .5;
    }

    50% {
        transform: scale(1.7);
        opacity: 1;
    }

    100% {
        transform: scale(1);
        opacity: .5;
    }
}
